{{ define "content" }}
<h1>
	SOHVAPERUNA 2018
</h1>
<p>
	Hej, och välkommen till Sohvaperuna 2018 -tippningen!
</p>
<p>
	Vi beklagar att lanseringen av vår tippning är lite sen i år - vår molntjänst togs ner, och vi måste bygga om allt från början. Av denna orsak ser sidorna ännu lite bleka ut, och det kan hända att man kommer att kunna betrakta och jämföra tippningarna i ett lite senare skede än förut. (Mattias hävdar visserligen att de här nya sidorna är tekniskt sett bättre - se "Hälsningar från teknologiavdelningen" nedan.)
</p>
<p>
	Huvudsaken är att tippningen fungerar som tidigare! 
	Du kommer in på tippningssidorna genom att klicka på "Skapa konto" i övre hörnet av sidan. 
	Där kan du skapa dig ett användarkonto genom att fylla i inbjudningskoden, ditt namn och din epostadress. 
	Sedan väljer du ett lösenord (obs! Ta väl vara på ditt lösenord!) 
	<strong>Efter att ha skapat ett konto kan du alltid logga in med din epostadress och ditt lösenord. </strong>
	Sen är det bara att spela!
</p>
<p>
	Soffpotatis i alla länder, förena er!
</p>
<p>
	-Anssi
</p>

<h2 class="mt-5">
	Hälsningar från teknologiavdelningen
</h2>
<p>
	Ursäkta för denna sena lansering. Finns många orsaker men tidsbrist i kombination med 
	krav på stora ändringar är bakomliggande orsaker.
</p>
<p>
	Introduktionsperioden tog slut hos databasservice -leverantören. Och den andra molntjänsteleverantören
	uppdaterade teknologikraven. Vilket innebar att våra gamla långt oförändrade skript inte 
	kunde köras på deras platform mera. 
</p>
<p>
	Valet stod mellan att göra en stor renovering av gamla skript eller bygga något nytt från grunden.
	Beslöt att bygga om från grunden med ny teknologi. Vårt 15-år gamla skript, som betjänat oss bra,
	är trots allt inte värt att investera mera tid i. Och valet av ny teknologi hjälpte även att hitta 
	en annan molntjänsteleverantör med lockande introduktionserbjudande.
</p>
<p>
	I korthet, prioriteringen nu är att möjliggöra tippning. D.v.s inmatning av tippningar och uppföljning.
</p>

<h3 class="mt-5">
	Teknologhistorik
</h3>
<ul>
	<li>
		2018
		<ul>
			<li>Programmet omskrivet från grunden i <a href="https://golang.org/" target="_blank" title="golang">GO</a></li>
			<li>MySQL databas fortsättningsvis</li>
			<li>Molnserverat på <a href="https://cloud.google.com/" target="_blank" title="Google Cloud">Google Cloud</a> med App Engine och Cloud SQL</li>
			<li>Mera info på <a href="https://gitlab.com/mattias.fellman/1-X-2" target="_blank">Gitlab repo</a>, hjälp till?</li>
		</ul>
	</li>
	<li>
		2016
		<ul>
			<li>PHP skriptets sista lappade version</li>
			<li>MySQL databas på ClearDB</li>
			<li>Applikation serverad från Azure</li>
			<li>Molnserveringsplatformen Azure uppdaterats och skripten &quot;lappades&quot;</li>
		</ul>
	</li>
	<li>	
		2014
		<ul>
			<li>PHP skript still going strong</li>
			<li>MySQL databasen på <a href="http://w2.cleardb.net/" target="_blank" title="ClearDB">ClearDB</a></li>
			<li>Applikation serverad från <a href="https://azure.microsoft.com/en-us/overview/what-is-azure/" target="_blank" title="Azure">Azure</a></li>
			<li>Flytt till molnplatformer då gamla webhotellet inte var tillgängligt mera</li>
		</ul>
	</li>
	<li>
		2012	
		<ul>
			<li>PHP skript och MySQL databas fortsättningsvis</li>
			<li>Traditionellt webbhotell med LAMP -stack</li>
			<li><a href="https://jquery.org/" target="_blank" title="jQuery">jQuery</a> taget i bruk, early adopter</li>
		</ul>
	</li>
	<li>
		2006 - 2010	
		<ul>
			<li><a href="http://www.php.net/" target="_blank" title="PHP">PHP</a> skript och <a href="https://www.mysql.com/" target="_blank" title="MySQL">MySQL</a> databas</a></li>
			<li>Traditionellt webbhotell med <a href="https://sv.wikipedia.org/wiki/LAMP" target="_blank" title="LAMP">LAMP -stack</a></li>
			<li>Första dynamiska sidan, snabb resultatuppdatering</li>
		</ul>
	</li>
	<li>
		2004
		<ul>
			<li>Excel</li>
			<li>Åbo Akademi -webbservering</li>
			<li>Första online infon med statiska webbsidor</li>
		</ul>
	</li>
	<li>
		2002 och tidigare
		<ul>
			<li>Till pappers <i class="far fa-smile"></i></li>
		</ul>
	</li>
</ul>

{{ end }}
